"""
# @File: conftest.py.py
# @CreateDate: 2023/8/3 19:31
# @Author: ann
"""
import subprocess
import os
import pytest


# -*- coding: utf-8 -*-

@pytest.fixture(scope='session', autouse=True)
def test_report():
    print(11)
    yield
    command = "allure generate ./report/allure-data -o ./report/allure-report --clean"
    subprocess.run(command, shell=True, capture_output=False, text=True)



@pytest.fixture(scope='session', autouse=True)
def delete_files_in_report_folder():
    path = ["./report/allure-data"]
    for i in range(len(path)):
        if os.path.exists(path[i]):
            files = os.listdir(path[i])
            if files:
                for file in files:
                    file_path = os.path.join(path[i], file)
                    os.remove(file_path)
                print("已删除" + file_path + "下的文件")
            else:
                print("文件夹为空")
        else:
            print("文件夹为空")